Bug 259961 - rpm does not run callback for empty erasure transaction elements
rpm does not run callback for empty erasure transaction elements
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
All All
medium Severity low
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 283661
  Show dependency treegraph
 
Reported: 2007-08-28 09:00 EDT by Seth Vidal
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version: 4.4.2.2-2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-24 03:14:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Seth Vidal 2007-08-28 09:00:19 EDT
From bug: 251576:

"For packages without any files the callback is "emulated" on install, but not on
erase at the moment."

It causes the problem of the transaction callback in python not being able to
run what it said it was going to run.
Comment 1 Panu Matilainen 2007-09-11 03:32:05 EDT
Fixed in next rawhide push by rpm 4.4.2.2-rc2
Comment 2 Fedora Update System 2007-10-12 16:02:39 EDT
rpm-4.4.2.2-2.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rpm'
Comment 3 Fedora Update System 2007-10-24 03:13:59 EDT
rpm-4.4.2.2-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.